## cascading.tap
Class Dfs

    java.lang.Object
      cascading.tap.Tap
          cascading.tap.Hfs
              cascading.tap.Dfs

All Implemented Interfaces:
  FlowElement, Serializable

    public class Dfs

extends Hfs

Class Dfs is a `Tap` class that provides access to the Hadoop Distributed File System.

Use the `URI` constructors to specify a different HDFS cluster than the default.

See Also:
  Serialized Form

Constructor Summary
`Dfs(Fields fields, String stringPath)` Constructor Dfs creates a new Dfs instance.
`Dfs(Fields fields, String stringPath, boolean replace)` Constructor Dfs creates a new Dfs instance.
`Dfs(Fields fields, String stringPath, SinkMode sinkMode)` Constructor Dfs creates a new Dfs instance.
`Dfs(Fields fields, URI uri)` Constructor Dfs creates a new Dfs instance.
`Dfs(Fields fields, URI uri, boolean replace)` Constructor Dfs creates a new Dfs instance.
`Dfs(Fields fields, URI uri, SinkMode sinkMode)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, String stringPath)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, String stringPath, boolean replace)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, String stringPath, SinkMode sinkMode)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, URI uri)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, URI uri, boolean replace)` Constructor Dfs creates a new Dfs instance.
`Dfs(Scheme scheme, URI uri, SinkMode sinkMode)` Constructor Dfs creates a new Dfs instance.

Method Summary
`protected FileSystem` `getDefaultFileSystem(JobConf jobConf)`
`protected void` `setStringPath(String stringPath)`

Methods inherited from class cascading.tap.Hfs
`deletePath, equals, getDefaultFileSystemURIScheme, getFileSystem, getPath, getPathModified, getQualifiedPath, getTemporaryDirectory, getTempPath, getURIScheme, hashCode, isWriteDirect, makeDirs, makeTemporaryPathDir, makeURIScheme, openForRead, openForWrite, pathExists, setTemporaryDirectory, setUriScheme, sinkInit, sourceInit, toString`

Methods inherited from class cascading.tap.Tap
`flowInit, getIdentifier, getScheme, getSinkFields, getSinkMode, getSourceFields, getTrace, isAppend, isEquivalentTo, isKeep, isReplace, isSink, isSource, isUpdate, outgoingScopeFor, resolveFields, resolveIncomingOperationFields, setScheme, setWriteDirect, sink, source, taps`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dfs

    @ConstructorProperties(value={"fields","uri"})
    public Dfs(Fields fields,
                                          URI uri)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `uri` - of type URI

### Dfs

    @ConstructorProperties(value={"fields","uri","replace"})
    public Dfs(Fields fields,
                                          URI uri,
                                          boolean replace)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `uri` - of type URI
    `replace` - of type boolean

### Dfs

    @ConstructorProperties(value={"fields","uri","sinkMode"})
    public Dfs(Fields fields,
                                          URI uri,
                                          SinkMode sinkMode)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `uri` - of type URI
    `sinkMode` - of type SinkMode

### Dfs

    @ConstructorProperties(value={"fields","stringPath"})
    public Dfs(Fields fields,
                                          String stringPath)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `stringPath` - of type String

### Dfs

    @ConstructorProperties(value={"fields","stringPath","replace"})
    public Dfs(Fields fields,
                                          String stringPath,
                                          boolean replace)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `stringPath` - of type String
    `replace` - of type boolean

### Dfs

    @ConstructorProperties(value={"fields","stringPath","sinkMode"})
    public Dfs(Fields fields,
                                          String stringPath,
                                          SinkMode sinkMode)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `fields` - of type Fields
    `stringPath` - of type String
    `sinkMode` - of type SinkMode

### Dfs

    @ConstructorProperties(value={"scheme","uri"})
    public Dfs(Scheme scheme,
                                          URI uri)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `uri` - of type URI

### Dfs

    @ConstructorProperties(value={"scheme","uri","replace"})
    public Dfs(Scheme scheme,
                                          URI uri,
                                          boolean replace)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `uri` - of type URI
    `replace` - of type boolean

### Dfs

    @ConstructorProperties(value={"scheme","uri","sinkMode"})
    public Dfs(Scheme scheme,
                                          URI uri,
                                          SinkMode sinkMode)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `uri` - of type URI
    `sinkMode` - of type SinkMode

### Dfs

    @ConstructorProperties(value={"scheme","stringPath"})
    public Dfs(Scheme scheme,
                                          String stringPath)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String

### Dfs

    @ConstructorProperties(value={"scheme","stringPath","replace"})
    public Dfs(Scheme scheme,
                                          String stringPath,
                                          boolean replace)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String
    `replace` - of type boolean

### Dfs

    @ConstructorProperties(value={"scheme","stringPath","sinkMode"})
    public Dfs(Scheme scheme,
                                          String stringPath,
                                          SinkMode sinkMode)

  Constructor Dfs creates a new Dfs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String
    `sinkMode` - of type SinkMode

Method Detail

### setStringPath

    protected void setStringPath(String stringPath)

  Overrides:
    `setStringPath` in class `Hfs`

### getDefaultFileSystem

    protected FileSystem getDefaultFileSystem(JobConf jobConf)
                                       throws IOException

  Overrides:
    `getDefaultFileSystem` in class `Hfs`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.